Name:           vavoom
Version:        1.33
Release:        15%{?dist}
Summary:        Enhanced Doom, Heretic, Hexen and Strife source port
Source0:        http://downloads.sourceforge.net/vavoom/%{name}-%{version}.tar.bz2
Source1:        doom.autodlrc
Source2:        heretic.autodlrc
Source3:        hexen.autodlrc
Source4:        strife.autodlrc
Source5:        doom-shareware.sh
Source6:        heretic-shareware.sh
Source7:        hexen-demo.sh
Source8:        strife-demo.sh
Source9:        doom-shareware.desktop
Source10:       heretic-shareware.desktop
Source11:       hexen-demo.desktop
Source12:       strife-demo.desktop
Source13:       vavoom.desktop
Source14:       vavoom.appdata.xml
Source15:       vavoom.png
Source16:       doom-logo.png
Source17:       tux-b2f.png
Source18:       vavoom.6
Patch0:         vavoom-1.21-datadir.patch
Patch1:         vavoom-1.27-CMakeLists.patch
Patch2:         vavoom-1.33-format-security.patch
Patch3:         vavoom-1.33-dont-override-delete.patch
Patch4:         vavoom-1.33-default-iwaddir.patch
URL:            http://vavoom-engine.com/
Group:          Amusements/Games
License:        GPLv2+
BuildRequires:  SDL_mixer-devel SDL_net-devel libpng-devel libjpeg-devel
BuildRequires:  libvorbis-devel mikmod-devel flac-devel openal-soft-devel
BuildRequires:  libGLU-devel wxGTK-devel desktop-file-utils cmake
BuildRequires:  libappstream-glib
Requires:       timidity++-patches hicolor-icon-theme autodownloader unzip

%description
Vavoom is an enhanced open-source port of Doom. Allowing you to play not only
the classic 3D first-person shooter Doom, but also the Doom derived classics
Heretic, Hexen and Strife. Compared to the original games it adds extra
features such as translucency and freelook support and ofcourse the capability
to play these classics under Linux.

%prep 
%setup -q
%patch0 -p1 -b .datadir
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1


%build
%cmake -DWITH_LIBMAD:BOOL=OFF

# This one line sed command is easier than trying to muck with the Makefile
# to add the proper -D definition.
sed -i "s|#define FL_BASEDIR.*|#define FL_BASEDIR \"%{_datadir}/%{name}\"|" source/files.h
sed -i "s|#define CONFIG_FILE.*|#define CONFIG_FILE \"%{_sysconfdir}/timidity.cfg\"|" source/timidity/timidity.h

make VERBOSE=1

%install
make install \
        DESTDIR=$RPM_BUILD_ROOT \
        INSTALL_PARMS="-m 0755" \
        INSTALL_EXEPARMS="-m 0755" \
        INSTALL_DIRPARMS="-m 0755 -d"

mv $RPM_BUILD_ROOT%{_bindir}/%{name}.* $RPM_BUILD_ROOT%{_bindir}/%{name}
mv $RPM_BUILD_ROOT%{_bindir}/%{name}-dedicated.* $RPM_BUILD_ROOT%{_bindir}/%{name}-dedicated

# install autodl files and wrapper scripts
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/%{name}

install -p -m 755 %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/doom-shareware
install -p -m 755 %{SOURCE6} $RPM_BUILD_ROOT%{_bindir}/heretic-shareware
install -p -m 755 %{SOURCE7} $RPM_BUILD_ROOT%{_bindir}/hexen-demo
install -p -m 755 %{SOURCE8} $RPM_BUILD_ROOT%{_bindir}/strife-demo

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
for i in %{SOURCE9} %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13}; do
  desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications "$i"
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
install -p -m 644 %{SOURCE14} $RPM_BUILD_ROOT%{_datadir}/appdata
appstream-util validate-relax --nonet \
  $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/{48x48,96x96}/apps
install -p -m 644 %{SOURCE15} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/96x96/apps/
install -p -m 644 %{SOURCE16} %{SOURCE17} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
install -p -m 644 %{SOURCE18} $RPM_BUILD_ROOT%{_mandir}/man6


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc docs/*.log docs/vavoom.txt
%license docs/gnu.txt
%{_bindir}/*
%{_mandir}/man6/%{name}.6*
%{_datadir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png


%changelog
* Tue Jan  5 2016 Hans de Goede <hdegoede@redhat.com> - 1.33-15
- Make vavoom work better with iwads installed in system dirs
- Drop freedoom support again, this uses a builtin mapinfo.txt which is
  already out of date with the latest freedoom version; advice: use prboom
  to play freedoom instead
- Update mirror lists

* Mon Jan  4 2016 Hans de Goede <hdegoede@redhat.com> - 1.33-14
- Fix crash in mesa / i965_dri.so caused by globally overriding delete
- Add a manpage and support for freedoom (from Debian)
- Add appdata

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.33-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.33-12
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.33-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 20 2014 Hans de Goede <hdegoede@redhat.com> - 1.33-10
- Fix FTBFS (rhbz#1037375)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.33-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.33-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Feb 09 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 1.33-7
- Remove vendor tag from desktop file as per https://fedorahosted.org/fesco/ticket/1077
- Cleanup spec as per recently changed packaging guidelines

* Mon Jan 21 2013 Adam Tkac <atkac redhat com> - 1.33-6
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 1.33-5
- rebuild against new libjpeg

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.33-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.33-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.33-2
- Rebuild for new libpng

* Sat Aug 20 2011 Rahul Sundaram <sundaram@fedoraproject.org> 1.33-1
- New upstream release
- Drop definition of buildroot, defattr and clean stage
- Drop obsolete patches
- Remove no longer valid doom shareware mirror in doom.autodlrc
- Fixed sed line to apply to timidity.h instead of config.h which no longer exists

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.30-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 1.30-5
- rebuilt against wxGTK-2.8.11-2

* Fri Nov 20 2009 Hans de Goede <hdegoede@redhat.com> 1.30-4
- Fix building with cmake-2.8.x (#539127)

* Sun Aug 16 2009 Hans de Goede <hdegoede@redhat.com> 1.30-3
- Switch to openal-soft

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 20 2009 Hans de Goede <hdegoede@redhat.com> 1.30-1
- New upstream release 1.30
- Fix vavoom not working at all when compiled with gcc-4.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 28 2008 Hans de Goede <hdegoede@redhat.com> 1.29-1
- New upstream release 1.29

* Mon Jun 16 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.28-1
- New upstream release 1.28

* Sun Apr 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.27.1-1
- New upstream bugfix release 1.27.1

* Wed Apr  2 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.27-1
- New upstream release 1.27

* Mon Mar  3 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.26-3
- Change Requires: timidity++ to timidity++-patches, as we just need the
  patches

* Sun Feb 17 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.26-2
- Rebuild for new libmikmod
- Rebuild with gcc 4.3

* Tue Jan 22 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.26-1
- New upstream release 1.26

* Tue Oct  9 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.25-1
- New upstream release 1.25

* Sat Sep 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.24-4
- Don't build with libmad support even if libmad happens to be on the system

* Fri Aug 31 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.24-3
- Fix some security issues in the server: CVE-2007-4533, CVE-2007-4534,
  CVE-2007-4535 (bz 256621)

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.24-2
- Update License tag for new Licensing Guidelines compliance

* Thu Jun 14 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.24-1
- New upstream release 1.24
- This also fixes bug 241611

* Sat May 19 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.23-2
- Add missing libjpeg-devel BuildRequires

* Wed May 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.23-1
- Update to 1.23
- No longer require freedoom, it doesn't seem to work with vavoom
- No longer require vavoom-vmdl, it has license issues
- Add --enable-debug to ./configure flags so that the bins don't get stripped
- Add .desktop files, wrapper scripts and autodownloader files for:
  doom-shareware, heretic-shareware, hexen-demo and strife-demo
- Submit for FE inclusion

* Sun Jul 23 2006 Wart <wart at kobold dot org> 1.21.1-1
- Update to 1.21.1

* Sun Jul 16 2006 Wart <wart at kobold dot org> 1.21-2
- Remove some comments from the spec file
- Remove shell script wrappers from /usr/bin
- Update datadir patch to 1.21

* Sat Jul 15 2006 Wart <wart at kobold dot org> 1.21-1
- Update to 1.21

* Fri Jun 16 2006 Wart <wart at kobold dot org> 1.20-2
- Added various fixes to conform to FHS.
- Added upstream patch to prevent cross-filesystem links when building
  glvis files.

* Sat Jun 3 2006 Wart <wart at kobold dot org> 1.20-1
- Initial Fedora Extras package
